* [PATCH proxmox 0/3] minor cleanup of build.sh
@ 2026-09-29 12:31 Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 1/3] build.sh: remove redundant quotes in paths Elias Huhsovitz
` (2 more replies)
0 siblings, 3 replies; 4+ messages in thread
From: Elias Huhsovitz @ 2026-09-29 12:31 UTC (permalink / raw)
To: pve-devel; +Cc: Elias Huhsovitz
Minor cleanups to the build.sh script. The changes are meant to improve
readability and consistency.
Elias Huhsovitz (3):
build.sh: remove redundant quotes in paths
build.sh: replace legacy empty string check with -z
build.sh: utilize CONTROL variable
build.sh | 14 +++++++-------
1 file changed, 7 insertions(+), 7 deletions(-)
--
2.47.3
^ permalink raw reply [flat|nested] 4+ messages in thread* [PATCH proxmox 1/3] build.sh: remove redundant quotes in paths
2026-09-29 12:31 [PATCH proxmox 0/3] minor cleanup of build.sh Elias Huhsovitz
@ 2026-09-29 12:31 ` Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 2/3] build.sh: replace legacy empty string check with -z Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 3/3] build.sh: utilize CONTROL variable Elias Huhsovitz
2 siblings, 0 replies; 4+ messages in thread
From: Elias Huhsovitz @ 2026-09-29 12:31 UTC (permalink / raw)
To: pve-devel; +Cc: Elias Huhsovitz
Signed-off-by: Elias Huhsovitz <e.huhsovitz@proxmox.com>
---
build.sh | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/build.sh b/build.sh
index 12444c1c..d242c5c7 100755
--- a/build.sh
+++ b/build.sh
@@ -12,7 +12,7 @@ TEST_CMD="${TEST_CMD:-"$CARGO test --all-features --all-targets --release"}"
mkdir -p "${BUILDDIR}"
echo system >"${BUILDDIR}"/rust-toolchain
-rm -rf ""${BUILDDIR}"/${CRATE}"
+rm -rf "${BUILDDIR}/${CRATE}"
CONTROL="$PWD/${CRATE}/debian/control"
@@ -26,11 +26,11 @@ debcargo package \
--config "$PWD/${CRATE}/debian/debcargo.toml" \
--changelog-ready \
--no-overlay-write-back \
- --directory "$PWD/"${BUILDDIR}"/${CRATE}" \
+ --directory "$PWD/${BUILDDIR}/${CRATE}" \
"${CRATE}" \
"$(dpkg-parsechangelog -l "${CRATE}/debian/changelog" -SVersion | sed -e 's/-.*//')"
-cd ""${BUILDDIR}"/${CRATE}"
+cd "${BUILDDIR}/${CRATE}"
rm -f debian/source/format.debcargo.hint
${BUILDCMD}
--
2.47.3
^ permalink raw reply related [flat|nested] 4+ messages in thread* [PATCH proxmox 2/3] build.sh: replace legacy empty string check with -z
2026-09-29 12:31 [PATCH proxmox 0/3] minor cleanup of build.sh Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 1/3] build.sh: remove redundant quotes in paths Elias Huhsovitz
@ 2026-09-29 12:31 ` Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 3/3] build.sh: utilize CONTROL variable Elias Huhsovitz
2 siblings, 0 replies; 4+ messages in thread
From: Elias Huhsovitz @ 2026-09-29 12:31 UTC (permalink / raw)
To: pve-devel; +Cc: Elias Huhsovitz
Signed-off-by: Elias Huhsovitz <e.huhsovitz@proxmox.com>
---
build.sh | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/build.sh b/build.sh
index d242c5c7..dcf1eb97 100755
--- a/build.sh
+++ b/build.sh
@@ -19,7 +19,7 @@ CONTROL="$PWD/${CRATE}/debian/control"
if [ -e "$CONTROL" ]; then
# check but only warn, debcargo fails anyway if crates are missing
dpkg-checkbuilddeps $PWD/${CRATE}/debian/control || true
- [ "x$NOCONTROL" = 'x' ] && rm -f "$PWD/${CRATE}/debian/control"
+ [ -z "$NOCONTROL" ] && rm -f "$PWD/${CRATE}/debian/control"
fi
debcargo package \
@@ -35,6 +35,6 @@ rm -f debian/source/format.debcargo.hint
${BUILDCMD}
# needs all crates build-dependencies, which can be more than what debcargo assembles.
-[ "x$NOTEST" = "x" ] && ${TEST_CMD}
+[ -z "$NOTEST" ] && ${TEST_CMD}
-[ "x$NOCONTROL" = "x" ] && cp debian/control "$CONTROL"
+[ -z "$NOCONTROL" ] && cp debian/control "$CONTROL"
--
2.47.3
^ permalink raw reply related [flat|nested] 4+ messages in thread* [PATCH proxmox 3/3] build.sh: utilize CONTROL variable
2026-09-29 12:31 [PATCH proxmox 0/3] minor cleanup of build.sh Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 1/3] build.sh: remove redundant quotes in paths Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 2/3] build.sh: replace legacy empty string check with -z Elias Huhsovitz
@ 2026-09-29 12:31 ` Elias Huhsovitz
2 siblings, 0 replies; 4+ messages in thread
From: Elias Huhsovitz @ 2026-09-29 12:31 UTC (permalink / raw)
To: pve-devel; +Cc: Elias Huhsovitz
Signed-off-by: Elias Huhsovitz <e.huhsovitz@proxmox.com>
---
build.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/build.sh b/build.sh
index dcf1eb97..e1fc7e2d 100755
--- a/build.sh
+++ b/build.sh
@@ -18,8 +18,8 @@ CONTROL="$PWD/${CRATE}/debian/control"
if [ -e "$CONTROL" ]; then
# check but only warn, debcargo fails anyway if crates are missing
- dpkg-checkbuilddeps $PWD/${CRATE}/debian/control || true
- [ -z "$NOCONTROL" ] && rm -f "$PWD/${CRATE}/debian/control"
+ dpkg-checkbuilddeps "$CONTROL" || true
+ [ -z "$NOCONTROL" ] && rm -f "$CONTROL"
fi
debcargo package \
--
2.47.3
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2026-09-29 12:31 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2026-09-29 12:31 [PATCH proxmox 0/3] minor cleanup of build.sh Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 1/3] build.sh: remove redundant quotes in paths Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 2/3] build.sh: replace legacy empty string check with -z Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 3/3] build.sh: utilize CONTROL variable Elias Huhsovitz
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox